GCubeSocialNetworking (gCube Social Networking Library 1.15.0-SNAPSHOT API)
Date: 2017-05-13

org.gcube.portal.databook.client

## Class GCubeSocialNetworking

- java.lang.Object
- - org.gcube.portal.databook.client.GCubeSocialNetworking

- All Implemented Interfaces:
    com.google.gwt.core.client.EntryPoint

      public class GCubeSocialNetworking
      extends Object
      implements com.google.gwt.core.client.EntryPoint

  Entry point classes define `onModuleLoad()` and instances the `HandlerManager` for IPC

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `GROUP_MEMBERS_OID`
    `static String` | `HASHTAG_OID`
    `static String` | `SEARCH_OID`
    `static String` | `SHOW_STATISTICS_ACTION_OID`
    `static String` | `USER_PROFILE_OID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GCubeSocialNetworking()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onModuleLoad()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### USER_PROFILE_OID

          public static final String USER_PROFILE_OID

      See Also:
        Constant Field Values

    - #### HASHTAG_OID

          public static final String HASHTAG_OID

      See Also:
        Constant Field Values

    - #### SEARCH_OID

          public static final String SEARCH_OID

      See Also:
        Constant Field Values

    - #### SHOW_STATISTICS_ACTION_OID

          public static final String SHOW_STATISTICS_ACTION_OID

      See Also:
        Constant Field Values

    - #### GROUP_MEMBERS_OID

          public static final String GROUP_MEMBERS_OID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GCubeSocialNetworking

          public GCubeSocialNetworking()

  - ### Method Detail

    - #### onModuleLoad

          public void onModuleLoad()

      Specified by:
        `onModuleLoad` in interface `com.google.gwt.core.client.EntryPoint`

Copyright © 2017. All Rights Reserved.